const db = require("../models");
const Connect = db.connects


// Create and Save a new Connect
exports.createConnect = (req, res) => {
    // Validate request
    console.log("hooksSlack",req.body.hooksSlack)
    console.log("userUid", req.body.userUid)

    if (!req.body.userUid) {
        res.status(400).send({message: "Content can not be empty!"});
        return;
    }

    // Create a Connect
    const connect = new Connect({
        hooksSlack: req.body.hooksSlack,
        userUid: req.body.userUid
    });

    // Save Connect in the database
    connect
        .save(connect)
        .then(data => {
            res.send(data);
        })
        .catch(err => {
            res.status(500).send({
                message:
                    err.message || "Some error occurred while creating the Connect."
            });
        });
}

// Find a single Connect with an id
exports.findOneConnectUserUid = (req, res) => {
    const userUid = req.body.userUid;
    var condition = userUid ? {userUid: {$regex: new RegExp(userUid), $options: "i"}} : {};

    Connect.find(condition)
        .then(data => {
            if (!data)
                res.status(404).send({message: "Not found Connect with id " + userUid});
            else res.send(data);
        })
        .catch(err => {
            res
                .status(500)
                .send({message: "Error retrieving Connect with id=" + userUid});
        });
}

// Delete a Connect with the specified id in the request
exports.deleteConnectById = (req, res) => {
    const id = req.body.id;

    Connect.findByIdAndRemove(id)
        .then(data => {
            if (!data) {
                res.status(404).send({
                    message: `Cannot delete Connect with id=${id}. Maybe Connect was not found!`
                });
            } else {
                res.send({
                    message: "Connect was deleted successfully!"
                });
            }
        })
        .catch(err => {
            res.status(500).send({
                message: "Could not delete Connect with id=" + id
            });
        });
}
