// create controller for gameType with the following methods: create, findAll, findOne, update, delete, deleteAll
const db = require("../models");
const GameType = db.gameTypes;

exports.createGameType = (req, res) => {
    // Validate request
    if (!req.body.name) {
        res.status(400).send({ message: "Content can not be empty!" });
        return;
    }

    // Create a gameType
    const gameType = new GameType({
        name: req.body.name,
        active: req.body.active,
        description: req.body.description,
        maxPlayers: req.body.maxPlayers
    });

    // Save gameType in the database
    gameType.save(gameType).then(data => {
        res.send(data);
    })
        .catch(err => {
            res.status(500).send({
                message:
                    err.message || "Some error occurred while creating the gameType. (err. 5xx)"
            });
        });

}

// Find gameType by name
exports.findAllGameTypesByName = (req, res) => {
    const name = req.query.name;
    var condition = name ? { name: { $regex: new RegExp(name), $options: "i" } } : {};

   GameType.find(condition)
        .then(data => {
            res.send(data);
        })
        .catch(err => {
            res.status(500).send({
                message:
                    err.message || "Some error occurred while retrieving gameTypes."
            });
        });
}
