const db = require("../models");
const Move = db.moves;

// Create and Save a new move with move model
exports.createMove = (req, res) => {
  // Validate request
  if (!req.body.name) {
    res.status(400).send({ message: "Content can not be empty!" });
    return;
  }

  // Create a move
  const move = new Move({
    name: req.body.name,
    emoji: req.body.emoji,
    beats: req.body.beats
  });

  // Save move in the database
  move.save(move).then(data => {
    res.send(data);
  })
      .catch(err => {
        res.status(500).send({
          message:
              err.message || "Some error occurred while creating the move. (err. 5xx)"
        });
      });

}

// Find move by title
exports.findAllMoveByName = (req, res) => {
    const name = req.query.name;
    var condition = name ? { name: { $regex: new RegExp(name), $options: "i" } } : {};

    Move.find(condition)
        .then(data => {
            res.send(data);
        })
        .catch(err => {
            res.status(500).send({
                message:
                    err.message || "Some error occurred while retrieving moves."
            });
        });
}

