const db = require("../models");
const Turn = db.turns;

// Crete and Save a new Turn
exports.createTurn = (req, res) => {
    // Validate request
    if (!req.body) {
        res.status(400).send({ message: "Content can not be empty!" });
        return;
    }

    // Create a Turn
    const turn = new Turn({
        wins: db.mongoose.Types.ObjectId(req.body.wins),
        losses: db.mongoose.Types.ObjectId(req.body.losses),
        ties: req.body.ties,
        turn: req.body.turn,
        game: db.mongoose.Types.ObjectId(req.body.game),
    });

    // Save Turn in the database
    turn
        .save(turn)
        .then(data => {
            res.send(data);
        })
        .catch(err => {
            res.status(500).send({
                message:
                    err.message || "Some error occurred while creating the Turn."
            });
        });
}