module.exports = mongoose => {
  var schema = mongoose.Schema(
    {
        title: {
            type: String,
            trim: true
        },
        active: Boolean,
        turns: Number,
        type: [{ type: mongoose.Schema.Types.ObjectId, ref: 'gameType' }],
        players: [{ type: mongoose.Schema.Types.ObjectId, ref: 'player' }],
        maxPlayers: Number,
    },
    { timestamps: true }
  );

  schema.method("toJSON", function() {
    const { __v, _id, ...object } = this.toObject();
    object.id = _id;
    return object;
  });

  const Game = mongoose.model("game", schema);
  return Game;
};
