module.exports = mongoose => {
    var schema = mongoose.Schema(
        {
            name: { 
                type: String,
                trim: true,
                required: true
            },
            description: {
                type: String,
                trim: true,
            },
            active: {
                type: Boolean,
                default: true
            },
            maxPlayers: Number,
        },
    );

    schema.method("toJSON", function() {
        const { __v, _id, ...object } = this.toObject();
        object.id = _id;
        return object;
    });

    const GameType = mongoose.model("gameType", schema);
    return GameType;
}
