
module.exports = mongoose => {
    var schema = mongoose.Schema(
        {
            move: String,
            player: {    
                type: mongoose.Schema.Types.ObjectId,
                ref: "player",
                required: true
            },
            game: {    
                type: mongoose.Schema.Types.ObjectId,
                ref: "game",
                required: true
            },
            turn: {    
                type: Number,
            },
        }
    );
    
    schema.method("toJSON", function() {
        const { __v, _id, ...object } = this.toObject();
        object.id = _id;
        return object;
    });
    
    const Play = mongoose.model("play", schema);
    return Play;
    }
