module.exports = mongoose => {
    var schema = mongoose.Schema(
        {
            wins: {     // ObjectId
                type: mongoose.Schema.Types.ObjectId,
                ref: "play",
            },
            losses: {   // ObjectId
                type: mongoose.Schema.Types.ObjectId,
                ref: "play",
            },
            ties: {     // Boolean
                type: Boolean,
            },
            turn: {     // Number
                type: Number,
            },
            game: {     // ObjectId (Game)
                type: mongoose.Schema.Types.ObjectId,
                ref: "game",
                required: true
            },

        }
    );

    schema.method("toJSON", function () {
        const { __v, _id, ...object } = this.toObject();
        object.id = _id;
        return object;
    });

    const Turn = mongoose.model("turn", schema);
    return Turn;
}