module.exports = app => {
    const router = require("express").Router();
    const axios = require("axios");
    const FormData = require('form-data');


    router.get('/', (req, res) => {
        console.log("back", req.query.code);

        const authorizationCode = req.query.code;
        // Hacer la solicitud POST a la API de Slack para intercambiar el código de autorización por un token de acceso
        const {
            TU_CLIENT_ID,
            TU_CLIENT_SECRET
        } = process.env;

        const clientId = `${TU_CLIENT_ID}`;
        const clientSecret = `${TU_CLIENT_SECRET}`;
        const redirectUri = 'https://rps-frontend-firebase-48465.web.app/callback';
        const url = 'https://slack.com/api/oauth.v2.access';

        // Crear el objeto FormData y agregar los campos necesarios
        const formData = new FormData();
        formData.append('code', authorizationCode);
        formData.append('client_id', clientId);
        formData.append('client_secret', clientSecret);
        formData.append('redirect_uri', redirectUri);

        // Hacer la solicitud POST utilizando Axios
        axios.post(url, formData, {
            headers: formData.getHeaders() // Configurar los encabezados adecuados para `multipart/form-data`
        })
            .then((response) => {
                const webhook = response.data.incoming_webhook;
                // Resto de la lógica de tu aplicación
                console.log("access back", response.data);
                console.log("webhookUrl", webhook);
                res.json(webhook);
            })
            .catch(error => {
                console.log("error", error);
                // Manejo de errores
            });
    });

    app.use("/api/callback", router);
};
