module.exports = app => {
  const games = require("../controllers/game.controller.js");
  var router = require("express").Router();
  // Create a new Game
  router.post("/", games.createGame);

  // Retrieve all Games
  router.get("/", games.findAllGamesByTitle);

  // Retrieve all active Games
  router.get("/active", games.findAllActiveGame);

  // Retrieve a single Game with id
  router.get("/:id", games.findOneGameById);

  // Update a Game with id
  router.put("/:id", games.updateGameById);

  // Delete a Game with id
  router.delete("/:id", games.deleteGameById);

  // Create a new Tutorial
  router.delete("/", games.deleteAllGame);

  // insert a new player into a game
  router.post("/:id/player", games.insertPlayerIntoGame);
  
  app.use("/api/games", router);
};
