module.exports = app => {
    const players = require("../controllers/player.controller.js");
    var router = require("express").Router();

    // Create a new Player
    router.post("/", players.createPlayer);

    // Retrieve all Players
    router.get("/", players.findAllPlayers);

    // Retrieve a single Player with id
    router.get("/:id", players.findOnePlayerById);

    // Update a Player with id
    router.put("/:id", players.updatePlayerById);

    // Delete a Player with id
    router.delete("/:id", players.deletePlayerById);

    // Create a new Player
    router.delete("/", players.deleteAllPlayers);

    app.use("/api/players", router);
};
