// module.exports = {
//   preset: '@vue/cli-plugin-unit-jest/presets/typescript-and-babel'
// }
/**  @type {import('ts-jest').JestConfigWithTsJest} */
module.exports = {
  preset: '@vue/cli-plugin-unit-jest/presets/typescript-and-babel',
  transform: {
    "^.+\\.jsx?$": "babel-jest",
    "^.+\\.tsx?$": "ts-jest",
  },
  transformIgnorePatterns: ["/node_modules/(?!(axios)/)"],
  testMatch: [
    "**/__tests__/**/*.+(ts|tsx|js)",
    "**/?(*.)+(spec|test).+(ts|tsx|js)",
  ],
  moduleNameMapper: {
    "^@/(.*)$": "<rootDir>/src/$1",
  },
  // ...otras configuraciones...
  collectCoverage: true,
  collectCoverageFrom: [
    'src/**/*.{js,ts,vue}',
    '!src/main.ts', // Puedes excluir archivos específicos si es necesario
    '!src/router/**', // Puedes excluir directorios específicos si es necesario
    '!**/node_modules/**',
  ],
  coverageReporters: ['html', 'text-summary'],
};
