import { createRouter, createWebHistory, RouteRecordRaw } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import {getAuth} from 'firebase/auth'

const routes: Array<RouteRecordRaw> = [
  {
    path: '/',
    name: 'home',
    component: HomeView
  },
  {
    path: '/new-game/:id',
    name: 'new-game',
    component: () => import('../views/NewGameView.vue')
  },
  {
    path: '/get-in/:id',
    name: 'get-user-in',
    component: () => import('../views/NewUserView.vue')
  },
  {
    path: '/add-opponent/:id/:userNumber',
    name: 'new-user',
    component: () => import('../views/NewUserView.vue'),
    meta: {
      target: '_blank'
    }
  },
  {
    path: '/game/:id/:userNumber/:userName/:userId',
    name: 'game',
    component: () => import('../views/GameView.vue')
  },
  {
    path: '/:pathMatch(.*)*',
    name: 'PathNotFound',
    component: () => import('../views/NotFound.vue'),
  },
  {
    path: '/callback',
    name: 'Callback',
    component: () => import('../views/CallbackPage.vue')
  },
  {
    path: '/login',
    name: 'login',
    component: () => import('../views/LoginView.vue')
  },
  {
    path: '/register',
    name: 'register',
    component: () => import('../views/RegisterView.vue')
  },
]

const router = createRouter({
  // history: createWebHistory('/'),
   history: createWebHistory(process.env.VUE_APP_BASE_URL),
  routes
})

router.beforeEach((to, from, next)=> {
  if(to.matched.some((record)=> record.meta.requiresAuth)) {
    if(getAuth().currentUser) {
      console.log(getAuth().currentUser)
      next();
    } else {
      alert("No tens accés");
      next("/");
    }
  } else {
    next();
  }
});

export default router
